
#ifndef KORNERS_TIME_LINE
#define KORNERS_TIME_LINE

#include <QTimeLine>

class KornersTimeLine : public QObject
{
    Q_OBJECT
public:
    explicit KornersTimeLine();

    void startFrames(int nFrames);
    bool running();

public slots:
    void gotNewFrame(int newFrame);
    void tmlFinished();
    
signals:
    void newFrame(int );
    void finished();

private:
    bool m_running;
    QTimeLine m_tml;
};
#endif
