
#include "korners_window.h"

#include <KApplication>
#include <KLocale>
#include <KAboutData>
#include <KCmdLineArgs>
#include <KGlobal>


int main(int argc, char* argv[])
{
    KAboutData aboutData("korners", 0, ki18n("Korners Game"), "0.8",
                         ki18n("Board logical game"), KAboutData::License_GPL,
                         ki18n("(c) 2009 Chernov Dmitry"), KLocalizedString(), "http://kde-apps.org");

    KCmdLineArgs::init(argc, argv, &aboutData);
    
    KApplication application;
    KGlobal::locale()->insertCatalog("libkdegames");

    if (application.isSessionRestored())
        RESTORE(KornersMainWindow)
    else 
    {
        KornersMainWindow *window = new KornersMainWindow;
        window->show();
    }

    return application.exec();
}